/*
 * Class BAG [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1697 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1697 [] = {0xFF01,1551,1696,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1697 [] = {0xFF01,1696,863,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1697 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1697 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1697 [] = {0xFF01,1696,863,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1697 [] = {0xFF01,1696,863,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1697 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1697 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1697 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1697 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1697 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1697 [] = {1696,863,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1697 [] = {0xFF01,1696,863,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1697 [] = {0xFF01,1691,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1697 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1697[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1697), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1697), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1697), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1697), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1697), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1697), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1697), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1697), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1697), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1697), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1697), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1697), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1697), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1697), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8614, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1697), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1697), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9020, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1697(void)
{
	IDSC(desc_1697, 0, 1696);
	IDSC(desc_1697 + 1, 1, 1696);
	IDSC(desc_1697 + 32, 1134, 1696);
	IDSC(desc_1697 + 41, 1135, 1696);
	IDSC(desc_1697 + 50, 778, 1696);
}


#ifdef __cplusplus
}
#endif
